SQ(1)

NAME
sq key userid add - Add a user ID

SYNOPSIS
sq key userid add [OPTIONS]

DESCRIPTION
Add a user ID.

A user ID can contain a name, like `Juliet`, or an email address, like `<juliet@example.org>`. Historically, a name and an email address were usually combined as a single user ID, like `Juliet <juliet@example.org>`.

`sq userid add` respects the reference time set by the top-level `--time` argument. It sets the creation time of the user ID's binding signature to the specified time.

OPTIONS

  Subcommand options

-B, --binary
    Emit binary data

--allow-non-canonical-userids
    Don't reject user IDs that are not in canonical form.

    Canonical user IDs are of the form `Name (Comment) <localpart@example.org>`.

--cert=FINGERPRINT|KEYID
    Add the user ID to the specified certificate

--cert-file=CERT_FILE
    Add the user ID to the specified certificate

-o, --output=FILE
    Write to the specified FILE.

    If not specified, and the certificate was read from the certificate store, imports the modified certificate into the cert store. If not specified, and the certificate was read from a file, writes the modified certificate to stdout.

--userid=USERID
    User ID to add

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Import a key.

    sq key import alice-secret.pgp

Add a new user ID.

    sq key userid add --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0 --userid \
        "Alice <alice@work.example.com>"

SEE ALSO
sq(1), sq-key(1), sq-key-userid(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)